
<div class="tab-pane" id="settings">
	<?php

	if ( !in_array( $session->roles[ 0 ], [ 'administrator' ] ) ) {

		?>
	<hr>
	<div class="alert alert-danger">
		<h3><?php _e('Eklenti ayarlarını sadece Yönetici (administrator) yapabilir.','turkeysmslang'); ?></h3>
	</div>
	<?php

	} else {

		?>
	<div class="row" >
		<div class="col-md-12">
			<hr>
			<div class="form-group">
				<div class="row">
					<div class="col-sm-8 col-sm-offset-3">
						<div class="col-md-5">
							<div class="alert alert-info"><?php _e('Rol Listesi','turkeysmslang'); ?></div>
						</div>
						<div class="col-md-2"> </div>
						<div class="col-md-5">
							<div class="alert alert-success"><?php _e('İzin verilen Roller','turkeysmslang'); ?></div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-3">
						<div class="col-sm-7">
							<label class="control-label" for=""><?php _e('Tam Yetkili Roller:','turkeysmslang'); ?></label>
						</div>
						<div class="col-sm-5">
							<label class="switch">
								<input name="turkeysms_auth_roles_control"

                                               id="" type="checkbox" value="1"

                                               <?php if ((get_option('turkeysms_auth_roles_control')) == 1){ ?>checked <?php } ?> >
								<span class="slider round"></span> </label>
						</div>
					</div>
					<div class="col-sm-8">
						<input type="hidden" class="form-control" id="turkeysms_auth_roles_text" name="turkeysms_auth_roles" value="<?php print get_option('turkeysms_auth_roles');?>">
						<div class="row">
							<div class="col-md-5">
								<select multiple name="" id="turkeysms_auth_roles" class="form-control" style="height: 150px;font-size: 15px;">
									<?php

									foreach ( $role_list as $key => $role ) {

										if ( $key == 'administrator' ) {
											continue;
										}

										if ( in_array( $key, $auth_roles ) ) {
											continue;
										}

										?>
									<option value="<?php echo $key; ?>" ><?php echo $role;?></option>
									<?php

									}

									?>
								</select>
							</div>
							<div class="col-md-2 text-center">
								<button type="button" class="btn btn-success btn-sm" id="turkeysms_add_role_btn" data-toggle="tooltip" data-placement="top" title="Seçili rolleri ekle"><i class="fa fa-plus-square"></i> <?php _e('İzin Ver','turkeysmslang'); ?></button>
								<hr>
								<button type="button" class="btn btn-danger btn-sm" id="turkeysms_delete_role_btn" data-toggle="tooltip" data-placement="top" title="Seçili rolleri Sil"><i class="fa fa-minus-square"></i> <?php _e('Kaldır','turkeysmslang'); ?></button>
							</div>
							<div class="col-md-5">
								<div class="row">
									<label for=""><i class="fa fa-check"></i> <?php _e('administrator (Yönetici)','turkeysmslang'); ?></label>
								</div>
								<select multiple name="" id="turkeysms_auth_roles_selected" class="form-control" style="height: 128px;font-size: 15px;">
									<?php

									foreach ( $auth_roles as $key => $role ) {

										if ( $role == 'administrator' ) {
											continue;
										}

										?>
									<option value="<?php echo $role; ?>"><?php echo $role_list[$role];?></option>
									<?php

									}

									?>
								</select>
							</div>
						</div>
						<div class="row" style="padding-top: 5px">
							<div class="col-md-12">
								<div class="alert alert-warning">
									<p><i class="fa fa-certificate"></i> <?php _e('<b>Administrator(Yönetici)</b> rolü, her durumda bu eklentide <b>tam yetkilidir</b>.','turkeysmslang'); ?></p>
									<p><i class="fa fa-certificate"></i> <?php _e('<b>CTRL</b> tuşu ile birden fazla rol için yetki tanımlaması yapabilirsiniz.','turkeysmslang'); ?></p>
									<p><i class="fa fa-certificate"></i> <?php _e('Ekleme çıkarma işlemlerinden sonra değişiklikleri kaydetmelisiniz.','turkeysmslang'); ?></p>
								</div>
								<div class="alert alert-danger">
									<p><i class="fa fa-certificate"></i> <?php _e('Özelliğin açık olmaması durumunda yetkili kullanıcılar dikkate alınmayacaktır.','turkeysmslang'); ?></p>
								</div>
							</div>
						</div>
					</div>
				</div>
				<script>
							 
                            jQuery('#turkeysms_add_role_btn').click(function () {

                                if (jQuery('#turkeysms_auth_roles option:selected').val() != null) {

                                    var tempSelect = jQuery('#turkeysms_auth_roles option:selected').val();

                                    jQuery('#turkeysms_auth_roles option:selected').remove().appendTo('#turkeysms_auth_roles_selected');

                                    jQuery("#turkeysms_auth_roles").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                                    jQuery("#turkeysms_auth_roles_selected").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                                    jQuery("#turkeysms_auth_roles_selected").val(tempSelect);



                                    var text = '';

                                    var variable = [];

                                    text = jQuery('#turkeysms_auth_roles_text').val();

                                    jQuery("#turkeysms_auth_roles_selected option").each(function () {

                                        variable.push(jQuery(this).val());

                                    });

                                    text = variable.join(',');

                                    jQuery('#turkeysms_auth_roles_text').val(text);

                                    tempSelect = '';

                                }

                            });



                            jQuery('#turkeysms_delete_role_btn').click(function () {

                                if (jQuery('#turkeysms_auth_roles_selected option:selected').val() != null) {

                                    var tempSelect = jQuery('#turkeysms_auth_roles_selected option:selected').val();

                                    jQuery('#turkeysms_auth_roles_selected option:selected').remove().appendTo('#turkeysms_auth_roles');

                                    jQuery("#turkeysms_auth_roles_selected").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                                    jQuery("#turkeysms_auth_roles").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");



                                    jQuery("#turkeysms_auth_roles").val(tempSelect);

                                    var text = '';

                                    var variable = [];

                                    text = jQuery('#turkeysms_auth_roles_text').val();

                                    jQuery("#turkeysms_auth_roles_selected option").each(function () {

                                        variable.push(jQuery(this).val());

                                    });

                                    text = variable.join(',');

                                    jQuery('#turkeysms_auth_roles_text').val(text);

                                    tempSelect = '';

                                }

                            });

                        </script> 
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<hr>
			<div class="form-group">
				<div class="row">
					<div class="col-sm-8 col-sm-offset-3">
						<div class="col-md-5">
							<div class="alert alert-info"><?php _e('Kullanıcı Listesi','turkeysmslang'); ?></div>
						</div>
						<div class="col-md-2"> </div>
						<div class="col-md-5">
							<div class="alert alert-success"><?php _e('Yetki Verilen Kullanıcılar','turkeysmslang'); ?></div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-3">
						<div class="col-sm-7">
							<label class="control-label" for=""><?php _e('Yetkili Kullanıcılar:','turkeysmslang'); ?></label>
						</div>
						<div class="col-sm-5">
							<label class="switch">
								<input name="turkeysms_auth_users_control"

                                               id="turkeysms_switch144" type="checkbox" value="1"

                                               <?php if ((get_option('turkeysms_auth_users_control')) == 1){ ?>checked <?php } ?> >
								<span class="slider round"></span> </label>
						</div>
					</div>
					<div class="col-sm-8">
						<input type="hidden" class="form-control" id="turkeysms_auth_users_text" name="turkeysms_auth_users" value="<?php print get_option('turkeysms_auth_users');?>">
						<div class="row">
							<div class="col-md-5">
								<select multiple name="" id="turkeysms_auth_users" class="form-control" style="height: 150px;font-size: 15px;">
									<?php

									foreach ( $users as $key => $user ) {

										if ( in_array( $user->roles[ 0 ], [ 'administrator' ] )

											||
											( in_array( $user->roles[ 0 ], $auth_roles ) && $turkeysms_auth_roles_control == 1 ) ) {

											if ( $user->user_login == 'admin' ) {
												continue;
											}

											if ( in_array( $user->ID, $auth_users ) ) {
												continue;
											}

											?>
									<option value="<?php print $user->ID?>"><?php print $user->display_name . ' ('.$role_list[$user->roles[0]].')'?></option>
									<?php

									}

									}

									?>
								</select>
							</div>
							<?php


							?>
							<div class="col-md-2">
								<button type="button" class="btn btn-success btn-sm" id="turkeysms_add_user_btn" data-toggle="tooltip" data-placement="top" title="Seçili rolleri ekle"><i class="fa fa-plus-square"></i> <?php _e('İzin Ver','turkeysmslang'); ?></button>
								<hr>
								<button type="button" class="btn btn-danger btn-sm" id="turkeysms_delete_user_btn" data-toggle="tooltip" data-placement="top" title="Seçili rolleri Sil"><i class="fa fa-minus-square"></i> <?php _e('Kaldır','turkeysmslang'); ?></button>
							</div>
							<div class="col-md-5">
								<div class="row">
									<label for=""><i class="fa fa-check"></i> <?php _e('admin','turkeysmslang'); ?></label>
								</div>
								<select multiple name="" id="turkeysms_auth_users_selected" class="form-control" style="height: 128px;font-size: 15px;">
									<?php

									foreach ( $auth_users as $key => $userID ) {

										$user = turkeysms_findUser( $users, $userID );

										if ( in_array( $user->roles[ 0 ], [ 'administrator' ] ) || ( in_array( $user->roles[ 0 ], $auth_roles ) && $turkeysms_auth_roles_control == 1 ) ) {

											if ( $user->user_login == 'admin' ) {
												continue;
											}

											?>
									<option value="<?php echo $userID; ?>"><?php echo $user->display_name;?> <?php print ' ('.$role_list[$user->roles[0]].')'?></option>
									<?php

									}

									}

									?>
								</select>
							</div>
						</div>
						<div class="row" style="padding-top: 5px">
							<div class="col-md-12">
								<div class="alert alert-warning">
									<p><i class="fa fa-certificate"></i> <?php _e('<b>admin</b> kullanıcısı, administrator olduğu sürece her durumda bu eklentide <b>tam yetkilidir</b>.','turkeysmslang'); ?></p>
									<p><i class="fa fa-certificate"></i> <?php _e('Sadece izin verilen rollerin kullanıcıları arasından tam yetki verilen kullanıcılar seçebilirsiniz.','turkeysmslang'); ?></p>
									<p><i class="fa fa-certificate"></i> <?php _e('<b>CTRL</b> tuşu ile birden fazla rol için yetki tanımlaması yapabilirsiniz.','turkeysmslang'); ?></p>
									<p><i class="fa fa-certificate"></i> <?php _e('Ekleme çıkarma işlemlerinden sonra değişiklikleri kaydetmelisiniz.','turkeysmslang'); ?></p>
								</div>
								<div class="alert alert-danger">
									<p><i class="fa fa-certificate"></i> <?php _e('Özelliğin açık olmaması durumunda yetkili kullanıcılar dikkate alınmayacaktır.','turkeysmslang'); ?></p>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-3">
						<div class="col-sm-7">
							<label class="control-label" for=""><?php _e('Yeni üyeliklerin telefon alanında 0 zorunluluğu:','turkeysmslang'); ?></label>
						</div>
						<div class="col-sm-5">
							<label class="switch">
								<input name="turkeysms_phonenumber_zero1"

                                               id="turkeysms_switch145" type="checkbox" value="1" onclick="turkeysms_field_onoff('145')"

                                               <?php if ((get_option('turkeysms_phonenumber_zero1')) == 1){ ?>checked <?php } ?> >
								<span class="slider round"></span> </label>
						</div>
					</div>
					<div class="col-sm-9" id="turkeysms_field145"

                                 style="<?php if ((get_option('turkeysms_phonenumber_zero1')) == 0) { ?>display:none; <?php } ?>">
						<div class="row">
							<div class="col-sm-12">
								<div class="input-group">
									<div class="alert alert-warning"> <b> <?php _e('Yeni üyelik özelliklerinde eklenen telefon alanlarında, telefon numarasının başında 0 (sıfır) girilmesi zorunlu olur.','turkeysmslang'); ?> </b> </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-3">
						<div class="col-sm-7">
							<label class="control-label" for=""><?php _e('Licence Key bilgisini siparişin meta anahtarına kaydet :','turkeysmslang'); ?></label>
						</div>
						<div class="col-sm-5">
							<label class="switch">
								<input name="turkeysms_licence_key_to_meta"

                                               id="turkeysms_switch146" type="checkbox" value="1" onclick="turkeysms_field_onoff('146')"

                                               <?php if ((get_option('turkeysms_licence_key_to_meta')) == 1){ ?>checked <?php } ?> >
								<span class="slider round"></span> </label>
						</div>
					</div>
					<div class="col-sm-9" id="turkeysms_field146"

                                 style="<?php if ((get_option('turkeysms_licence_key_to_meta')) == 0) { ?>display:none; <?php } ?>">
						<div class="row">
							<div class="col-sm-12">
								<div class="input-group">
									<div class="alert alert-warning"> <b> <?php _e('Licence Maneger eklentisi ile oluşturulan lisans anahtarları, siparişin meta anahtarlarına eklenir.','turkeysmslang'); ?> </b> </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<script>

                            function cf7_form_change(id, tip, activestatus) {

                                jQuery('.cf7_list_text_success_' + tip).hide('slow');

                                jQuery('#turkeysms_cf7_list_text_success_' + tip + '_' + id).show('slow');

                                jQuery('#' + activestatus).attr('data', id);

                            }

                        </script> 
			</div>
		</div>
	</div>
	<div class="alert alert-danger">
		<p><i class="fa fa-certificate"></i> <?php _e('Rollerin yetki kapasiteleri TurkeySMS eklentisi üzerinden ayarlanamamaktadır. Bunun için Wordpress rollerin yetkilerini yönetme konusunu araştırabilirsiniz.','turkeysmslang'); ?> </p>
	</div>
	<script>

                jQuery('#turkeysms_add_user_btn').click(function () {

                    if (jQuery('#turkeysms_auth_users option:selected').val() != null) {

                        var tempSelect = jQuery('#turkeysms_auth_users option:selected').val();

                        jQuery('#turkeysms_auth_users option:selected').remove().appendTo('#turkeysms_auth_users_selected');

                        jQuery("#turkeysms_auth_users").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                        jQuery("#turkeysms_auth_users_selected").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                        jQuery("#turkeysms_auth_users_selected").val(tempSelect);



                        var text = '';

                        var variable = [];

                        text = jQuery('#turkeysms_auth_users_text').val();

                        jQuery("#turkeysms_auth_users_selected option").each(function () {

                            variable.push(jQuery(this).val());

                        });

                        text = variable.join(',');

                        jQuery('#turkeysms_auth_users_text').val(text);

                        tempSelect = '';

                    }

                });



                jQuery('#turkeysms_delete_user_btn').click(function () {

                    if (jQuery('#turkeysms_auth_users_selected option:selected').val() != null) {

                        var tempSelect = jQuery('#turkeysms_auth_users_selected option:selected').val();

                        jQuery('#turkeysms_auth_users_selected option:selected').remove().appendTo('#turkeysms_auth_users');

                        jQuery("#turkeysms_auth_users_selected").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");

                        jQuery("#turkeysms_auth_users").attr('selectedIndex', '-1').find("option:selected").removeAttr("selected");



                        jQuery("#turkeysms_auth_users").val(tempSelect);

                        var text = '';

                        var variable = [];

                        text = jQuery('#turkeysms_auth_users_text').val();

                        jQuery("#turkeysms_auth_users_selected option").each(function () {

                            variable.push(jQuery(this).val());

                        });

                        text = variable.join(',');

                        jQuery('#turkeysms_auth_users_text').val(text);

                        tempSelect = '';

                    }

                });

            </script>
	<div class="form-group">
		<div class="col-sm-2"></div>
		<div class="col-sm-10 text-right">
			<button class="btn btn-primary" id="login_save6" name="login_save6" onclick="login();"><i class="fa fa-folder"></i> <?php _e('Değişiklikleri Kaydet','turkeysmslang'); ?> </button>
		</div>
	</div>
	<?php

	}

	?>
</div>
<?php

function turkeysms_findUser( $users, $id ) {
	foreach ( $users as $user ) {
		if ( $user->ID == $id ) {
			return $user;
		}
	}
	return false;
}

?>
